import { css } from '@microsoft/fast-element';
/**
 * @public
 */
export const foundationSystemHealthAlertsServer = css `
  :host {
    --overlay-bg: rgba(32 34 39 / 80%);
    --restored-text-color: #fff;
    --restored-bg-color: rgba(72 232 154 / 50%);
    --restored-border-color: #48e89a;
    --failed-bg-color: rgba(249 100 77 / 50%);
    --failed-border-color: #f9644d;
    --wrapper-width: calc(100% - (var(--design-unit) * 2px));
    --wrapper-left: calc(var(--design-unit) * 1px);
    --server-status-dialog-max-width: 415px;
  }

  .server-status {
    top: 0;
    width: 100%;
    height: 100%;
    position: fixed;
    z-index: 9999;
    background: var(--overlay-bg);
  }

  .server-status-message::part(snackbar) {
    position: relative;
    display: block;
    width: var(--wrapper-width);
    top: 2px;
    left: var(--wrapper-left);
    box-shadow: none;
    text-align: center;
    color: var(--restored-text-color);
    font-size: var(--type-ramp-base-font-size);
    padding: calc(var(--design-unit) * 4px);
    border-radius: 0 0 5px 5px;
    border-top: 0;

    --snackbar-max-width: 100%;
    --snackbar-max-height: auto;
    --snackbar-animation-name: append-from-top-animate;
    --snackbar-animation-delete-name: delete-fade-animate;
  }

  .server-status-message::part(snackbar)::after {
    top: -2px;
    transform: none;
    width: 100%;
    height: 2px;
    border-radius: 0;
  }

  .server-status-message-restored::part(snackbar) {
    background-color: var(--restored-bg-color);
  }

  .server-status-message-restored::part(snackbar)::after {
    background-color: var(--restored-border-color);
  }

  .server-status-message::part(content) {
    height: 100%;
    width: calc(100% - (var(--design-unit) * 16px));
    padding: 0 calc(var(--design-unit) * 8px);
  }

  .content {
    width: 100%;
    margin: 0;
    padding: 0;
    font-size: var(--type-ramp-plus-2-font-size);
  }

  .content-element {
    display: inline-block;
  }

  .content-text {
    padding: 0 calc(var(--design-unit) * 4px);
  }

  .content-title {
    font-size: var(--type-ramp-plus-2-font-size);
    font-weight: 700;
  }

  .content-buttons .link {
    display: inline;
    background: none;
    padding: 0;
    margin: 0;
    color: var(--accent-fill-rest);
    height: auto;
  }

  .content-buttons .link::part(control) {
    display: inline;
    font-weight: 700;
    font-size: var(--type-ramp-plus-2-font-size);
    padding: 0;
    margin: 0;
  }

  .server-status-message-failed::part(snackbar) {
    background-color: var(--failed-bg-color);
  }

  .server-status-message-failed::part(snackbar)::after {
    background-color: var(--failed-border-color);
  }

  :host::part(server-status-dialog) {
    --dialog-max-width: var(--server-status-dialog-max-width);
  }

  :host::part(dialog-title),
  :host::part(dialog-message) {
    font-size: var(--type-ramp-plus-2-font-size);
    padding: 0;
    margin: 0;
  }
`;
